Get all Accounts for the Circle Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/circles/{circle_uuid}/accounts

Gets a list of accounts for the circle with related data

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • circle_uuid string Required

Query parameters

  • filter[account_uuids] string

    Filter by a comma separated list of account UUIDs.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, name, email]. Negative sign to denote DESC. Defaults to 'name'.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • email string
      • linked_clients array[object]
        Hide linked_clients attributes Show linked_clients attributes object
        • uuid string
        • name string
        • relationship string
      • logins array[object]
        Hide logins attributes Show logins attributes object
        • uuid string
        • created_at string
        • updated_at string
        • expires_at string
        • has_write_permission boolean
        • has_delete_permission boolean
        • primary boolean
        • receives_unread_notifications_email boolean
        • wealth_enabled boolean
        • goals_enabled boolean
        • factfind_enabled boolean
        • tasks_enabled boolean
        • welcome_enabled boolean
        • first_name string
        • last_name string
        • email string
        • user_type string
        • account object
          Hide account attributes Show account attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • firm object
          Hide firm attributes Show firm attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            Name of the firm

          • slug

            Slug of the firm

          • address_1

            First line of the address

          • address_2

            Second line of the address

          • town_city

            Town/City

          • county

            County

          • postcode

            Postcode

          • country

            Country

          • regulatory_text

            Regulatory text of the firm.

          • logo_icon

            URL of your firm logo icon.

          • brand_colours

            Firm branding colours.

          • is_subscribed

            Subscription status.

          • keep_deleted_files_for

            Number of days to keep deleted files for

          • tax

            Tax percent

          • month_end

            Date of the month for the monthly income reconciliation statements to end

          • statement_frequency

            The frequency of the income reconciliation statements

          • billing

            Firm invoice details for billing

          • ip_whitelist

            A list of IP Addresses a firm is allowed to log in from.

          • welcome_paragraph_html

            Custom welcome paragraph html for the branded auth welcome page

          • email_welcome_paragraph_html

            Custom welcome paragraph for the welcome/new user email

          • show_fact_find_illustrations

            Determines if the illustrations/graphics are displayed on the fact find.

          • cc_email_addresses

            Array of email cc addresses.

          • bcc_email_addresses

            Array of email bcc addresses.

          • reply_to_email_address

            Firm reply to email address.

          • mobile_app_support_number

            Firm mobile app support number.

          • mobile_app_support_email

            Firm mobile app support email address.

        • is_impersonated boolean
GET /api/v1/circles/{circle_uuid}/accounts
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/circles/6ff8f7f6-1eb3-3525-be4a-3932c805afed/accounts' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "edc9a9ea-3a82-4d1f-b5ce-8002573d637d",
      "created_at": "2026-07-20T09:57:23+01:00",
      "updated_at": "2026-07-20T09:57:23+01:00",
      "name": "Gareth Thompson",
      "email": "gareth@codepotato.co.uk",
      "linked_clients": [
        {
          "uuid": "ddb4f8dd-327b-44b9-a87c-1beb17f554ba",
          "name": "Gareth",
          "relationship": "Father"
        }
      ],
      "logins": [
        {
          "uuid": "1fac8391-9d50-42f2-9dcc-f11aa870844d",
          "created_at": "2026-07-20T09:57:23+01:00",
          "updated_at": "2026-07-20T09:57:23+01:00",
          "expires_at": "2026-10-28T09:57:23+00:00",
          "has_write_permission": false,
          "has_delete_permission": false,
          "primary": false,
          "receives_unread_notifications_email": true,
          "wealth_enabled": true,
          "goals_enabled": true,
          "factfind_enabled": true,
          "tasks_enabled": true,
          "welcome_enabled": true,
          "first_name": "Gareth",
          "last_name": "Thompson",
          "email": "gareth@plannrcrm.com",
          "user_type": "standard",
          "account": {
            "uuid": "7a5c45b0-4b2e-49bc-bfa3-8dca46f8f6d9",
            "created_at": "2026-07-20T09:57:30+01:00",
            "updated_at": "2026-07-20T09:57:30+01:00",
            "type": "client",
            "role": "client",
            "first_name": "Gareth",
            "last_name": "Thompson",
            "name": "Gareth Thompson",
            "email": "gareth@codepotato.co.uk",
            "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
            "first_contact_date": "2026-07-20T09:57:30+01:00",
            "next_review_date": "2026-07-20T09:57:30+01:00",
            "previous_review_date": "2026-07-20T09:57:30+01:00",
            "anniversary_review_date": "2026-07-20T09:57:30+01:00",
            "terms_of_business_at": "2026-07-20T09:57:30+01:00",
            "client_agreement_at": "2026-07-20T09:57:30+01:00",
            "with_login": true,
            "has_joint_account": true,
            "can_be_deleted": "false",
            "ownership_percentage": 100.0,
            "inactive_at": "2026-07-20",
            "last_interaction_at": "2026-07-20 09:57:30",
            "referral_code": "ABC12345",
            "permissions": {
              "firm:read": [
                "firm"
              ],
              "network:read": [
                "network:uuid"
              ]
            }
          },
          "firm": {
            "uuid": "55e13421-cece-4700-9834-c870430644ae",
            "created_at": "2026-07-20T09:57:30+01:00",
            "updated_at": "2026-07-20T09:57:30+01:00",
            "name": "Codepotato",
            "slug": "codepotato",
            "address_1": "Suite E, 5 The Briars",
            "address_2": "Waterberry Drive",
            "town_city": "Waterlooville",
            "county": "Hampshire",
            "postcode": "PO7 7YH",
            "country": "United Kingdom",
            "regulatory_text": "Regulatory text",
            "logo": "https://api.plannrcrm.com/images/plannr.jpg",
            "logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
            "brand_colours": {
              "sidebar_background": "#0E0E56",
              "sidebar_accent": "#36367E",
              "sidebar_text": "#FFFFFF",
              "sidebar_hover": "#0A0A42",
              "sidebar_active": "#53DBB8",
              "sidebar_title_background": "#36367E",
              "sidebar_title_primary": "#FFC634",
              "sidebar_title_secondary": "#FFFFFF",
              "sidebar_title_secondary_hover": "#FFFFFF",
              "email_background": "#0E0E56",
              "email_logo_background_panel": "#36367E",
              "email_sub_text": "#FFFFFF",
              "email_button_background": "#36367E",
              "email_button_text": "#FFFFFF",
              "portal_sidebar_button_background": "#F6F6F6",
              "portal_sidebar_button_hover": "#FFFFFF",
              "portal_sidebar_button_active": "#FFFFFF",
              "portal_brand_title": "#323B4B",
              "portal_brand_sub_title": "#828994",
              "portal_sidebar_title": "#11151D",
              "portal_sidebar_text": "#323B4B",
              "portal_sidebar_text_hover": "#323B4B",
              "portal_sidebar_text_active": "#323B4B",
              "portal_sidebar_icon": "#828994",
              "portal_sidebar_icon_hover": "#828994",
              "portal_sidebar_icon_active": "#828994",
              "portal_background": "#F6F6F6",
              "portal_sidebar_account_title": "#11151D",
              "portal_sidebar_account_email": "#828994",
              "portal_sidebar_divider": "#E3E5E9",
              "portal_dashboard_bg_one": "#EF4583",
              "portal_dashboard_bg_two": "#FFC634",
              "portal_sidebar_collapse_button": "#828994",
              "portal_sidebar_collapse_button_hover": "#B3B9C4",
              "portal_sidebar_user_select_background": "#F6F6F6",
              "portal_sidebar_user_select_hover": "#F6F6F6",
              "portal_sidebar_user_select_text": "#323B4B",
              "portal_sidebar_user_select_text_hover": "#323B4B",
              "portal_sidebar_user_select_border": "#EEEEEE",
              "portal_sidebar_user_select_border_hover": "#828994"
            },
            "is_subscribed": true,
            "keep_deleted_files_for": 30,
            "tax": 17.5,
            "month_end": 25,
            "statement_frequency": "monthly",
            "billing": {
              "invoice_address_1": "Suite E, 5 The Briars",
              "invoice_address_2": "Waterberry Drive",
              "invoice_town_city": "Waterlooville",
              "invoice_county": "Hampshire",
              "invoice_postcode": "PO7 7YH",
              "invoice_country": "United Kingdom",
              "invoice_email": "gareth@codepotato.co.uk"
            },
            "ip_whitelist": [
              "192.168.0.1",
              "127.0.0.1"
            ],
            "welcome_paragraph_html": "<h1>Welcome.</h1>",
            "email_welcome_paragraph_html": "Welcome to Plannr!",
            "show_fact_find_illustrations": true,
            "cc_email_addresses": [
              "jack@example.com",
              "jill@example.com"
            ],
            "bcc_email_addresses": [
              "jack@example.com",
              "jill@example.com"
            ],
            "reply_to_email_address": "jack@example.com",
            "mobile_app_support_number": "01234 567890",
            "mobile_app_support_email": "support@example.com"
          },
          "is_impersonated": false
        }
      ]
    }
  ]
}